locals {
  authentik_chart_values = {
    "ingress.enabled"                    = true,
    "ingress.hosts[0].host"              = "authentik.dev.homelab"
    "ingress.hosts[0].paths[0].path"     = "/"
    "ingress.hosts[0].paths[0].pathType" = "Prefix"
  }
}

resource "helm_release" "authentik" {
  name       = "authentik"
  repository = "https://charts.goauthentik.io/"
  chart      = "authentik"
  version    = "5.2.2"

  dynamic "set" {
    for_each = local.authentik_chart_values
    content {
      name  = set.key
      value = set.value
    }
  }
}
