variable "base_hostname" {
  type        = string
  description = "Base hostname to serve content from"
  default     = "dev.homelab"
}

locals {
  config_data = templatefile(
    "${path.module}/config.yml",
    {
      "base_hostname" = "${var.base_hostname}",
    }
  )
}

resource "nomad_job" "blocky" {
  hcl2 {
    enabled = true
    vars = {
      "config_data" = "${local.config_data}",
    }
  }

  jobspec = file("${path.module}/blocky.nomad")
}
