job "rediscommander" {
  datacenters = ["dc1"]
  type = "service"

  group "rediscommander" {
    count = 1

    network {
      mode = "bridge"

      port "main" {
        host_network = "loopback"
        to = 8081
      }
    }

    service {
      name = "rediscommander"
      port = "main"

      connect {
        sidecar_service {
          proxy {
            local_service_port = 8081

            upstreams {
              destination_name = "redis"
              local_bind_port = 6379
            }
          }
        }

        sidecar_task {
          resources {
            cpu    = 50
            memory = 25
          }
        }
      }

      tags = [
        "traefik.enable=true",
        "traefik.http.routers.rediscommander.entryPoints=websecure",
      ]
    }

    task "rediscommander" {
      driver = "docker"

      config {
        image = "rediscommander/redis-commander:latest"
        ports = ["main"]
      }

      env = {
        "REDIS_HOSTS" = "local:${NOMAD_UPSTREAM_ADDR_redis}"
      }

      resources {
        cpu = 50
        memory = 50
      }
    }
  }
}
