variable "template_path" {
  type     = string
  nullable = false
}
variable "consul_address" {
  type        = string
  default     = null
  nullable    = true
  description = "Consul host and port for making KeyValue lookups"
}

variable "variables" {
  type        = map(string)
  description = "Variables to be passed into nomad-pack with values in JSON form"
  default     = {}
}

variable "var_files" {
  type        = list(string)
  description = "HCL files containing variables to be used by nomad-pack"
  default     = []
}

data "external" "levant" {
  program = ["${path.module}/levant.py"]

  query = {
    template_path  = var.template_path
    consul_address = var.consul_address
    variables      = jsonencode(var.variables)
    var_files      = jsonencode(var.var_files)
  }
}

resource "nomad_job" "levant" {
  jobspec = data.external.levant.result.template
}
