job "Nextcloud" {
  schedule = "* * * * *"

  config {
    repo = "/local/repo"
    # Read from secret file
    # Either options.PasswordFile or using readfile()
    # passphrase = "secret phrase"
    passwordFile("tmp/passphrase")
  }

  task "Create dir for repo" {
    pre_script {
      on_backup = "echo 'Backing up something'"
    }
    pre_script {
      on_backup = "mkdir -p /local/repo"
    }
  }

  mysql "Backup database" {
    hostname       = env("MYSQL_HOST")
    port           = env("MYSQL_PORT")
    database       = env("MYSQL_DATABASE")
    username       = env("MYSQL_USER")
    password       = env("MYSQL_PASSWORD")
    no_tablespaces = true
    dump_to        = "/local/dump.sql"
  }

  backup {
    paths = ["/data"]

    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    Prune = true
  }
}
