# module "nextcloud" {
#   source = "./nextcloud"
#
#   depends_on = [module.databases]
# }

module "backups" {
  source = "./backups"

  depends_on = [module.databases]
}

module "media" {
  source = "./media"
}

resource "nomad_job" "whoami" {
  hcl2 {
    enabled = true
    vars = {
      "count" = 1,
      # "count" = "${2 * length(data.consul_service.nomad.service)}",
    }
  }

  jobspec = file("${path.module}/whoami.nomad")
}

module "sonarr" {
  source = "./levant"

  template_path = "service.nomad"
  variables = {
    name         = "sonarr"
    image        = "linuxserver/sonarr"
    service_port = 8989
    ingress      = true
    env = jsonencode({
      PGID = 100
      PUID = 1001
    })
    host_volumes = jsonencode([
      {
        name      = "tv-sonarr"
        dest      = "/srv/volumes/media-write/TV Shows"
        read_only = false
      },
      {
        name      = "download"
        dest      = "/srv/volumes/download"
        read_only = false
      },
    ])
  }
}
